<?php
// START APPOINTMENT SECTION 
$wp_customize->add_section(
	'appointment_section',
	array(
		'title'         => __( 'Appointment Section', 'luzuk-premium' ), 
		'panel'   => 'luzuk_premium_home_panel',
	)
);
    //ENABLE/DISABLE Appointment SECTION
$wp_customize->add_setting(
	'appointment_section_disable',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'appointment_section_disable',
		array(
			'settings'      => 'appointment_section_disable',
			'section'       => 'appointment_section',
			'label'         => __( 'Disable Section', 'luzuk-premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'luzuk-premium' ),
				'off' => __( 'No', 'luzuk-premium' )
			)   
		)
	)
);



backgroundManager($wp_customize, 'appointment', 'appointment_section', $color='#fff', get_template_directory_uri().'/images/appoint-bg.jpg', 'color');


//section bg color
addColorPalatOption($wp_customize, 'appointment_secbgColor', 'appointment_section', 'Section background color', '#D79800');



$wp_customize->add_setting(
	'appointment_title_subtitle_heading',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
	)
);
$wp_customize->add_control(
	new luzuk_Customize_Heading(
		$wp_customize,
		'appointment_title_subtitle_heading',
		array(
			'settings'      => 'appointment_title_subtitle_heading',
			'section'       => 'appointment_section',
			'label'         => __( 'Section Title', 'luzuk-premium' ),
		)
	)
);

$wp_customize->add_setting(
	'appointment_title',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'BOOK APPOINTMENT', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'appointment_title',
	array(
		'settings'      => 'appointment_title',
		'section'       => 'appointment_section',
		'type'          => 'text',
		'label'         => __( 'Section Title', 'luzuk-premium' )
	)
);

// Heading color
addColorPalatOption($wp_customize, 'appointment_HeadingColor', 'appointment_section', 'Heading color', '#fff');

 // Heading border color
addColorPalatOption($wp_customize, 'appointment_HeadingborderColor', 'appointment_section', 'Section Heading border color', '#fff');

$wp_customize->add_setting(
	'appointment_form_lbl',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
	)
);

$wp_customize->add_control(
	new luzuk_Customize_Heading(
		$wp_customize,
		'appointment_form_lbl',
		array(
			'settings'      => 'appointment_form_lbl',
			'section'       => 'appointment_section',
			'label'         => __( 'Add contactForm shortcode', 'luzuk-premium' ),
		)
	)
);
$wp_customize->add_setting(
	'appointment_form_shortcode',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Add your form shortcode on customiser', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'appointment_form_shortcode',
	array(
		'settings'      => 'appointment_form_shortcode',
		'section'       => 'appointment_section',
		'type'          => 'text',
		'label'         => __( 'Shortcode', 'luzuk-premium' )
	)
);


//form input text / placeholder color
addColorPalatOption($wp_customize, 'appointment_forminputtextColor', 'appointment_section', 'Form Input text / placeholder color', '#fff');

//form input border color
addColorPalatOption($wp_customize, 'appointment_forminputborderColor', 'appointment_section', 'Form Input border color', '#fff');

//form label color
addColorPalatOption($wp_customize, 'appointment_formlabelColor', 'appointment_section', 'Form label color', '#fff');

//form text color
addColorPalatOption($wp_customize, 'appointment_formtextColor', 'appointment_section', 'Form text color', '#fff');

//form button text color
addColorPalatOption($wp_customize, 'appointment_formbuttontextColor', 'appointment_section', 'Form button text color', '#fff');

//form button background color
addColorPalatOption($wp_customize, 'appointment_formbuttonbgColor', 'appointment_section', 'Form button background color', '#D79800');

//form button border color
addColorPalatOption($wp_customize, 'appointment_formbuttonborderColor', 'appointment_section', 'Form button border color', '#D79800');

//form button text hover color
addColorPalatOption($wp_customize, 'appointment_formbuttontexthoverColor', 'appointment_section', 'Form button text hover color', '#D79800');

//form button border hover color
addColorPalatOption($wp_customize, 'appointment_formbuttonborderhoverColor', 'appointment_section', 'Form button border hover color', '#fff');

//form button background hover color
addColorPalatOption($wp_customize, 'appointment_formbuttonbghoverColor', 'appointment_section', 'Form button background hover color', '#fff');


// END APPOINTMENT SECTION 
$wp_customize->add_setting(
	'contact_location',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '322 Willis Avenue <br> LOs Angeles, California, US', 'luzuk-premium' ) 
	)
);
$wp_customize->add_control(
	'contact_location',
	array(
		'settings'      => 'contact_location',
		'section'       => 'appointment_section',
		'type'          => 'textarea',
		'label'         => __( 'Location', 'luzuk-premium' )
	)
);


$wp_customize->add_setting(
	'contact_emailid',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'spainfo@experts.com', 'luzuk-premium' ) 
	)
);
$wp_customize->add_control(
	'contact_emailid',
	array(
		'settings'      => 'contact_emailid',
		'section'       => 'appointment_section',
		'type'          => 'text',
		'label'         => __( 'Email id', 'luzuk-premium' )
	)
);


$wp_customize->add_setting(
	'contact_emailid1',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'contact@yourdomain.com', 'luzuk-premium' ) 
	)
);
$wp_customize->add_control(
	'contact_emailid1',
	array(
		'settings'      => 'contact_emailid1',
		'section'       => 'appointment_section',
		'type'          => 'text',
		'label'         => __( 'Another Email id', 'luzuk-premium' )
	)
);


$wp_customize->add_setting(
	'contact_phone',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '012 345 6789', 'luzuk-premium' ) 
	)
);
$wp_customize->add_control(
	'contact_phone',
	array(
		'settings'      => 'contact_phone',
		'section'       => 'appointment_section',
		'type'          => 'text',
		'label'         => __( 'Phone No.', 'luzuk-premium' )
	)
);



$wp_customize->add_setting(
	'contact_phone1',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '123 456 7890', 'luzuk-premium' ) 
	)
);
$wp_customize->add_control(
	'contact_phone1',
	array(
		'settings'      => 'contact_phone1',
		'section'       => 'appointment_section',
		'type'          => 'text',
		'label'         => __( 'Another Phone No.', 'luzuk-premium' )
	)
);





// Icon color
addColorPalatOption($wp_customize, 'appointmentsec_iconColor', 'appointment_section', 'Icon color', '#fff');

// contact data color
addColorPalatOption($wp_customize, 'appointmentsec_dataColor', 'appointment_section', 'Contact data color', '#fff');

// contact data email hover color
addColorPalatOption($wp_customize, 'appointmentsec_dataemailhoverColor', 'appointment_section', 'Contact email hover color', '#2a2a2a');


// FACEBOOK 
$wp_customize->add_setting('contact_facebook',	array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('contact_facebook',
	array(
		'settings'      => 'contact_facebook',
		'section'       => 'appointment_section',
		'type'          => 'url',
		'label'         => __( 'Facebook Url', 'gurukul' )
	)
);
// TWITTER
$wp_customize->add_setting('contact_twitter', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('contact_twitter',
	array(
		'settings'      => 'contact_twitter',
		'section'       => 'appointment_section',
		'type'          => 'url',
		'label'         => __( 'Twitter Url', 'gurukul' )
	)
);
// Instagram
$wp_customize->add_setting('contact_instagram', array('default' => 'https://www.instagram.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('contact_instagram',
	array(
		'settings'      => 'contact_instagram',
		'section'       => 'appointment_section',
		'type'          => 'url',
		'label'         => __( 'Instagram', 'gurukul' )
	)
);
// LINKED IN
$wp_customize->add_setting('contact_linkedin',array('default'=> 'https://linkedin.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('contact_linkedin',
	array(
		'settings'      => 'contact_linkedin',
		'section'       => 'appointment_section',
		'type'          => 'url',
		'label'         => __( 'Linkedin Url', 'gurukul' )
	)
);

//PINTREST
$wp_customize->add_setting('contact_pintrest',array('default'=> 'https://in.pinterest.com/','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('contact_pintrest',
	array(
		'settings'      => 'contact_pintrest',
		'section'       => 'appointment_section',
		'type'          => 'url',
		'label'         => __( 'pintrest Url', 'luzuk-premium' )
	)
);




// Social color
addColorPalatOption($wp_customize, 'appointmentsec_socialColor', 'appointment_section', 'Social color', '#fff');

// Social border color
addColorPalatOption($wp_customize, 'appointmentsec_socialborderColor', 'appointment_section', 'Social border color', '#fff');

// Social hover color
addColorPalatOption($wp_customize, 'appointmentsec_socialhoverColor', 'appointment_section', 'Social hover color', '#2a2a2a');

// Social border hover color
addColorPalatOption($wp_customize, 'appointmentsec_socialborderhoverColor', 'appointment_section', 'Social border hover color', '#2a2a2a');